Bug Hunting Session
Bug 113911 - UI Text Language "More" button does not work
Summary: UI Text Language "More" button does not work
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All Windows (All)
: medium normal
Assignee: Henry Castro
URL:
Whiteboard: target:6.1.0
Keywords: needUITest
Depends on:
Blocks: Statusbar
  Show dependency treegraph
 
Reported: 2017-11-18 08:25 UTC by Emil Tanev
Modified: 2019-09-30 11:05 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Tanev 2017-11-18 08:25:24 UTC
Open Calc
Click on the Text Language in the bottom toolbar
Click on "More..."

Issue: No dialog opens

https://www.screencast.com/t/AB0btBwF29k

Version: 6.0.0.0.alpha1+ (x64)
Build ID: a5af0fd9f27af42cf2e8571f659cdad6e606215b
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-07_00:30:02
Locale: ja-JP (ja_JP); Calc: group
Comment 1 Buovjaga 2017-11-18 16:25:55 UTC
It opens for me (Character formatting), with a little delay.

Version: 6.0.0.0.alpha1+ (x64)
Build ID: a5af0fd9f27af42cf2e8571f659cdad6e606215b
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-07_00:30:02
Locale: fi-FI (fi_FI); Calc: group
Comment 2 raal 2017-11-23 10:28:06 UTC
Adding Cc: to Henry Castro; Could you possibly take a look at this one? Thanks

This commit enabled toolbar entry in my bibisect repo.

commit 1ee7d922d73b630684efa9ae7911aaab8427b6b5
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Mon Oct 30 09:47:56 2017 -0700

    source sha:2fa424f40a185eb43d862a29abce07345695fcf3

author	Henry Castro <hcastro@collabora.com>	2017-10-20 02:47:17 (GMT)
committer	Henry Castro <hcastro@collabora.com>	2017-10-22 15:18:17 (GMT)
commit	2fa424f40a185eb43d862a29abce07345695fcf3 (patch)
tree	6d770158526a66d893e171cf56d53a31a6d1fcc6
parent	2460e7637f635727f4596f3e3d799eed434df082 (diff)
sc lok: fix spell checking languages in Calc
Comment 3 Commit Notification 2017-11-28 11:58:29 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6db709ba79fec6f75dd7385ce57c65a62fc2254e

sc, sd: rework UI Text Language "More" button, tdf#113911

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-11-29 13:58:13 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e43a18a1585694cc3ff9d8e5b250f9c98b7719e

related tdf#113911: better statement to identify Writer app

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-01-02 09:53:29 UTC
A polite ping to Henry Castro: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks